Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591716 - Gray out KDC and admin fields when kerberos parameters are discovered via DNS
Gray out KDC and admin fields when kerberos parameters are discovered via DNS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: authconfig (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomas Mraz
Petr Šplíchal
:
Depends On: 591681
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 17:30 EDT by Dmitri Pal
Modified: 2016-05-31 21:39 EDT (History)
6 users (show)

See Also:
Fixed In Version: authconfig-6.1.4-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591681
Environment:
Last Closed: 2010-11-10 14:55:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2010-05-12 17:30:55 EDT
+++ This bug was initially created as a clone of Bug #591681 +++

Description of problem:

After selecting FreeIPA as authentication server in authconfig and marking checkbox 'Use DNS to locate KDC for realms' it would be good that the fields KDCs and 'Admin servers' are grayed out?

Version-Release number of selected component (if applicable):
authconfig-6.1.4-2.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Just configure FreeIPA authentication with DNS used to locate KDCs.

Additional info:
In /etc/krb5.conf DNS resolution is selected and in the sam time values of KDC and admin server are filled with exact values. The question is which values have higher priority?

--- Additional comment from tmraz@redhat.com on 2010-05-12 16:30:39 EDT ---

According to the krb5.conf manpage the DNS is used only when the realm and KDC is not filled in. I am not sure whether sssd behaves the same.

--- Additional comment from sgallagh@redhat.com on 2010-05-12 16:52:27 EDT ---

Jakub, can you clarify? I think our default behavior is the same, but you're the authority.
Comment 1 RHEL Product and Program Management 2010-05-12 18:05:49 EDT
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.
Comment 2 Dmitri Pal 2010-05-12 19:41:23 EDT
Cleared RFE word fron title and reset the flags.
Comment 3 RHEL Product and Program Management 2010-05-12 20:33:09 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 releng-rhel@redhat.com 2010-11-10 14:55:14 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.